package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;

/**
 *
 * 前端选择的支付类型
 *
 */
public enum PayTypeEnum implements IEnum<String> {

  ALIPAY("1", "支付宝"),
  WXPAY("2", "微信"),
  ACCTPAY("3","余额支付");


  private final String value;
  private final String desc;

  PayTypeEnum(final String value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public String getValue() {
    return value;
  }

  public String getDesc() {
    return desc;
  }
}
